> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/check-creating-data.md).

# Check creating data

<mark style="color:orange;">`POST`</mark> /api/v2/cards/check-create-card

This API allows you to check data before create a new card on Alix Platform&#x20;

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

{% hint style="danger" %}
Please set the request's timeout greater than 30 seconds
{% endhint %}

Request Body

```json
{
  "cardType": "1312c7cd-af91-4a81-be21-594ed768be24",
  "phoneCode": "84",
  "phone": "972043405",
  "firstName": "Vu",
  "lastName": "Pham Minh",
  "address": "197 Le Duan Street, Ward Ben Thanh, District 1",
  "city": "Ho Chi Minh",
  "state": "",
  "country": "VN",
  "zipCode": "70000"
}
```

<table><thead><tr><th width="164">Name</th><th width="82">Type</th><th width="110">Condition</th><th>Value</th></tr></thead><tbody><tr><td>cardType</td><td>string</td><td>required</td><td>the card type is id of supported card get from <a href="/pages/KIuXHJqMYUsuvokqFd2c">api get supported alix card</a></td></tr><tr><td>phoneCode</td><td>string</td><td>required</td><td>The area code of the card holder's mobile phone.</td></tr><tr><td>phone</td><td>string</td><td>required</td><td>the phone number of card holder </td></tr><tr><td>firstName</td><td>string</td><td>required</td><td><p>The first name of card holder<br></p><p>For example: NGUYEN VAN A</p><ul><li>FirstName: VAN A </li><li>LastName: NGUYEN</li></ul></td></tr><tr><td>lastName</td><td>string</td><td>required</td><td><p>The last name of card holder</p><p><br>For example: NGUYEN VAN A</p><ul><li>FirstName: VAN A </li><li>LastName: NGUYEN</li></ul><p></p></td></tr><tr><td>address</td><td>string</td><td>required</td><td>the address of card holder (for example: Home Address, Ward, District)</td></tr><tr><td>city</td><td>string</td><td>required</td><td>the city of card holder ( Ho Chi Minh)</td></tr><tr><td>state</td><td>string</td><td>optional</td><td>the state of card holder</td></tr><tr><td>country</td><td>string</td><td>required</td><td><ul><li>the country name of card holder (VN)<br></li><li>Formatted as a two-letter country code specified in ISO 3166-1 alpha-2</li></ul></td></tr><tr><td>zipCode</td><td>string</td><td>optional</td><td>the zip code of card holder</td></tr></tbody></table>

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data":true,
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of Response Data**&#x20;

<table><thead><tr><th width="264">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>data</code></td><td>boolean</td><td>The card's data is valid</td></tr></tbody></table>

{% hint style="warning" %}
**When the access token expried. Please use the refresh token to get new access token instead of get a new access token**&#x20;
{% endhint %}

{% hint style="danger" %}
The card status will update by using [webhook](/alix-pay/api-reference/alix-card-api/cards/notifications-webhook.md) &#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/check-creating-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
